import { Component, OnInit } from '@angular/core';
import {ChipRemoveEvent} from '@progress/kendo-angular-buttons';

@Component({
  selector: 'app-pay-out-details',
  templateUrl: './pay-out-details.component.html',
  styleUrls: ['./pay-out-details.component.scss']
})
export class PayOutDetailsComponent implements OnInit {
  sales = [];

  background = "url('https://svr2021.lawipac.com:8080/api/v1/avatar/0')";
  constructor() { }

  ngOnInit(): void {
    this.sales = this.range(1, 20);
    console.log(this.sales);
  }

  range(start, end) {
    if(start === end) return [start];
    return [start, ...this.range(start + 1, end)];
  }

  onRemoveChip(s: string, e: ChipRemoveEvent): void {
    console.log(s, e);
  }
}
